2019-03-26 21:20 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001981NetSurf[All Projects] Generalpublic2015-03-10 11:04
ReporterHarriet Bazley 
Assigned ToVincent Sanders 
SeverityfeatureReproducibilityN/A 
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.2 
Summary0001981: Transliteration
DescriptionI downloaded the then-latest build of NetSurf a couple of days ago (29 Sep 2004) and discovered today that it seems to be unable to render any of the HTML 4 entities such as lsquo, mdash, etc. My previous version (12 May 2004) appears to render them as expected, and I can't find any mention of such a limitation in the progress notes.
Additional Informationtlsa added a note on Thu Sep 6 15:23:29 2007

Original bug - as reported - was fixed with RUfl glyph substitution, however transliteration should be reimplemented. Moving to feature requests.

jmb202 added a note on Fri Oct 1 15:01:35 2004

Ok, this is due to the addition of Unicode text support. the previous transliteration of unknown characters to known ones was dropped. This still needs to be done.

jmb202 added a note on Fri Oct 1 14:53:13 2004

I'm not seeing this. This page works fine (on both RO5 and Select): http://www.w3.org/MarkUp/Test/HTML401/current/tests/sec5_3_1-BF-01.html

Imported from sourceforge bug http://sourceforge.net/support/tracker.php?aid=1038145 on Tue Dec 10 17:34:13 2013

TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Harriet Bazley

~0000138

Harriet Bazley (reporter)

Bug no longer exists in current version.
Vincent Sanders

~0000368

Vincent Sanders (administrator)

This is fixed but we will not be adding transliteration support to the fallback renderer.
Vincent Sanders

~0000705

Vincent Sanders (administrator)

Confirmed fixed in 3.2 release
+Notes

-Issue History
Date Modified Username Field Change
2013-12-10 17:41 Vincent Sanders New Issue
2013-12-10 17:41 Vincent Sanders Status new => assigned
2013-12-10 17:41 Vincent Sanders Assigned To => Sourceforge Import placeholder
2013-12-24 15:00 Vincent Sanders Assigned To Sourceforge Import placeholder =>
2013-12-24 15:00 Vincent Sanders Reproducibility have not tried => N/A
2013-12-24 15:00 Vincent Sanders Status assigned => acknowledged
2013-12-24 15:00 Vincent Sanders Description Updated View Revisions
2013-12-24 15:00 Vincent Sanders Additional Information Updated View Revisions
2013-12-27 20:02 Harriet Bazley Note Added: 0000138
2014-06-05 16:53 Vincent Sanders Note Added: 0000368
2014-06-05 16:53 Vincent Sanders Status acknowledged => resolved
2014-06-05 16:53 Vincent Sanders Resolution open => fixed
2014-06-05 16:53 Vincent Sanders Fixed in Version => 3.2
2015-03-10 11:04 Vincent Sanders Note Added: 0000705
2015-03-10 11:04 Vincent Sanders Status resolved => closed
2015-03-10 11:04 Vincent Sanders Assigned To => Vincent Sanders
+Issue History